﻿@model FERZid.Models.Uredaj

@{
    ViewData["Title"] = "Details";
}

<h2>Details</h2>

<div>
    <h4>Uredaj</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            Ime
        </dt>
        <dd>
            @Html.DisplayFor(model => model.ImeUredaja)
        </dd>
        <dt>
            Vrsta
        </dt>
        <dd>
            @Html.DisplayFor(model => model.IdvrsteUredajaNavigation.Naziv)
        </dd>
        <dt>
            Zamjenski uređaj
        </dt>
        <dd>
            @Html.DisplayFor(model => model.IdzamjenskiUredajNavigation.ImeUredaja)
        </dd>
    </dl>
</div>

<div>
    <table class="table table-striped" id="komponenteZaUredaj">
        <thead>
            <tr>
                <th>
                    Naziv
                </th>
                <th>
                    Details
                </th>
            </tr>
        </thead>
        <tbody>
@foreach(var item in Model.Komponenta){ 
        <tr>
            <td>
                @item.IdtipKomponenteNavigation.Naziv
            </td>
            <td>
                <a asp-controller="Komponenta" asp-action="Details" asp-route-id="@item.Idkomponente">Details</a>
            </td>
        </tr>
}
        </tbody>
    </table>
</div>
<div>
    <a asp-action="Edit" asp-route-id="@Model.Iduredaja">Edit</a> |
    <a asp-action="Index">Back to List</a>
</div>
